# TEMPLATE - Leitura Modbus
Esse template como objetivo apresentar a integração de um dispositivo modbus com a plataforma WEGnology.

## Descrição 
O objetivo deste template trata de demonstrar a integração de um dispositivo modbus com a plataforma WEGnology, em que são coletadas informações do dispositivo por meio de workflow.

## Componentes Chaves

* Workflow **ModbusTCPRead**: este workflow se encontra na lista de workflows de Edge, este workflow é executado no Edge e é onde está localizado as lógicas necessárias para poder realizar a leitura no dispositivo, o armazenamento dos dados coletados e a publicação dos dados na plataforma.

* Receita **device_modbus**: esta receita se encontra na página "Device Recipes" sendo utilizada para criar os dispositivos, através dela pode-se obter as configurações iniciais para criação de um dispositivo e a leitura do mesmo.

## Configuração 

1. Verificar cadastro e conexão do Edge na plataforma:
    - Abra a página de Devices;
    - Caso não tenha um dispositivo cadastrado, realize o cadastro do mesmo, seguindo os procedimentos descritos no manual do WCD-ED300 ou conforme o [tutorial](https://forums.app.~exportplaceholderid-endpoint-domain~/t/configurando-o-edge-device-weg-wcd-ed300-na-plataforma-wegnology/128);
    - Realizar a conexão do Edge WCD-ED300 na plataforma.
    
2. Conferir os Devices cadastrados:
    - Abrir a página de receitas e gerar um dispositivo a partir da receita "device_modbus";
    - Ir até a pagina de devices onde está localizado o novo dispositivo;
    - Ao acessar a página do dispositivo, o mesmo deve ser configurado como um periférico e deve conter um Edge como gateway;
    - Associar o gateway do dispositivo criado ao Edge Device conectado à plataforma;

3. Configurar as tags do device cadastrado e seus atributos para coleta:
    - Abrir a página do device, localizar as tags para serem alteradas como "ip", "port" e "unitId";
    - Realizar a configuração adequando o device da plataforma com o device fisico;
    - Acessar a página de atributos localizados na página do device e acessar o atributo a ser configurado;
    - Alterar as tags dos atributos ("address", "function" e "type") conforme o device conectado (consulte a [documentação auxiliar](https://~exportplaceholderid-files-domain~/~exportplaceholderid-application-templateLeituraModbus-0~/Application%20Note%20%E2%80%93%20Template%20Leitura%20Modbus.pdf) para mais detalhes).
3. Após a conexão do Edge e a configuração do dispositivo, realizar o deploy do Workflow:
    - Abra a página de Workflows;
    - Abra o workflow **ModbusTCPRead** localizado em "Edge Workflows";
    - Executar o deploy do workflow no Edge conectado na plataforma.
    

    
Após cadastrar os dispositivos, e realizar o deploy, a aplicação irá começar a atualizar os atributos do(s) device(s).

## Documentação Auxiliar 

[Documentação Auxiliar](https://~exportplaceholderid-files-domain~/~exportplaceholderid-application-templateLeituraModbus-0~/Application%20Note%20%E2%80%93%20Template%20Leitura%20Modbus.pdf)

## Sobre 

Este template está na versão 1.0.0.

Para esclarecer qualquer dúvida, recomendamos fortemente o uso do fórum.

Copyright © 2022 WEG SA. Todos os direitos reservados.

Licenciado sob a licença MIT.

https://www.weg.net